mardi 6 novembre 2007

Activer les macros OOo sous Vista

Dès lors qu'on change d'ordinateur, il faut se lancer dans une configuration personnalisée et une installation de ses applications [1] préférées.

En terme de suite bureautique, je suis fidèle à OpenOffice.org depuis 6 ou 7 ans.
Sachant qu'un utilisateur lambda [2] ne se sert finalement que de quelques pour-cents d'une suite bureautique [3] et que nous vivons une époque où jeter l'argent par les fenêtres ne se fait pas.

C'est une des nombreuses raisons pour laquelle j'ai renoncé à remplir les poches d'une société américaine basée à Seattle ...
En tant que partisan des logiciels libres, je refuse totalement de pirater des logiciels.
C'est une question de principe.

Me voici donc devant l'écran d'un ordinateur portable qui m'offre très généreusement d'essayer pendant 60 jours Micro$oft Office 2007.
Ceux qui me lisent depuis le billet Sortie de la version 2.2 OpenOffice.org, savent déjà que je préfère OOo [4].

Conviction et sens de la dépense raisonnée obligent, je me lance dans l'installation d'OOo sous Vi$ta.
Lorsque je passerai à l'installation d'OOo sous Mandriva, je devrais trancher entre les mises à jour [5] de Mandriva et celles plus rapides de la fondation OOo.
En résumé, installation classique ou dans le répertoire /opt.

L'installation de la version 2.3 d'OOo sous Vi$ta ne pose aucun problème, on peut déplacer le répertoire temporaire, renommer le répertoire d'installation [6], choisir ce qu'on installe ou n'installe pas.

OOo WriterPuisque Writer, l'éditeur de textes d'OOo m'est utile pour écrire des articles en français et anglais, j'installe en complément DicOOo qui me permet de profiter d'un correcteur orthographique dans ces 2 langues.

C'est ici que je rencontre mes toutes premières difficultés.



Lorsque j'ouvre DicOOo.sxw qui contient des macros simplifiant grandement la vie pour l'installation de correcteurs orthographiques, je suis accueilli par cette fenêtre :


Activer les macros OOoAvertissement de sécurité.

Choisir d'activer les macros du document ne produit aucun effet.

La solution à appliquer est très simple à mettre en oeuvre : changer le niveau de sécurité par défaut d'OOo.

Le chemin à suivre est le suivant :
Outils > Options > OpenOffice.org > Sécurité > Sécurité des macros.

Il ne reste plus qu'à basculer de niveau de sécurité élevé vers niveau de sécurité moyen.
Et voilà, le tour est joué.

Voici en images où cela se situe.


Menu Outils
Accès via le menu Outils.

Sécurité OpenOffice.orgFenêtre Options.

Sécurité des macros OOoNiveau de sécurité des macros.

@+
Bluebeetle(one).

[1] Logiciels mais pas seulement. Citons juste pour exemple Firefox et ses extensions.
[2] Tout comme moi ...
[3] C'est même d'ailleurs totalement inquantifiable.
[4] OOo est le "diminutif" d'OpenOffice.org.
[5] Pour OOo.
[6] Juste au moment de l'install bien entendu.